コンテンツへスキップ

Stable Audio 2.5 · Audio to Audio

統合

モデルID stable-audio-25/audio-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-25/audio-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.20 200 APIクレジット · ≈ ₽21.52 このページで実行

APIキーを取得
Stability AI 音声 #audio

既存の音声クリップを、テキストプロンプトに従った新しい音声へ変換。強度を調整可能

Stability AI · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

音声生成を指示するプロンプト。

•必須 audio_url
ファイルをドロップ、または

変換元の音声クリップ。

詳細設定 strength · num_inference_steps · total_seconds · guidance_scale · seed · enable_safety_checker
デフォルト 0.8

`audio_url`からの寄与を決めるノイズ除去強度。1では指定音声を完全に無視し、0では変更せずに再現します。

デフォルト 8

音声に適用するノイズ除去ステップ数。

出力音声の長さはデフォルトで入力クリップの長さになります。デフォルトを上書きするには長さを指定します。

デフォルト 1

この設定を大きくすると音声からプロンプトへの忠実度が高まり、テキストへの拡散処理の追従が強くなります。

POST /run/stable-audio-25/audio-to-audio?wait=20 見積もり → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-25/audio-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Stable Audio 2.5 · Audio to Audioについて

`audio_url`でソースクリップを指定し、`prompt`に記述したサウンドへ変換します。`strength`(0.01から1、デフォルト0.8)で入力からの変化量を設定します。`total_seconds`は1から190を受け付け、デフォルトは入力の長さです。`num_inference_steps`は4から8、`guidance_scale`は1から25です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
音声生成を指示するプロンプト。
audio_url必須 audio
型url · audio
変換元の音声クリップ。
strength任意
型number
デフォルト0.8
0.01 – 1
`audio_url`からの寄与を決めるノイズ除去強度。1では指定音声を完全に無視し、0では変更せずに再現します。
num_inference_steps任意
型integer
デフォルト8
4 – 8
音声に適用するノイズ除去ステップ数。
total_seconds任意
型integer | null
1 – 190
出力音声の長さはデフォルトで入力クリップの長さになります。デフォルトを上書きするには長さを指定します。
guidance_scale任意
型number
デフォルト1
1 – 25
この設定を大きくすると音声からプロンプトへの忠実度が高まり、テキストへの拡散処理の追従が強くなります。
seed任意
型integer | null
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-25/audio-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}生成によって作成された音声クリップ。
seed
integer生成時に適用するランダムシード。

その他のモデル: 音声

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/stable-audio-25/audio-to-audio.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt